// ********************************************************
// * 1HE VFD Clock Firmware    (c) 2009 by maltepggel.de *
// ********************************************************
// * Defines for port settings                            *
// ********************************************************

#ifndef PORTDEF_H
  #define PORTDEF_H

  // Define descriptions for easy use
  
  #define DISP_CLK		PB1
  #define DISP_DDR_CLK		DDRB
  #define DISP_PRT_CLK		PORTB
  
  #define DISP_LOAD		PB0
  #define DISP_DDR_LOAD		DDRB
  #define DISP_PRT_LOAD		PORTB
  
  #define DISP_DATA		PD6
  #define DISP_DDR_DATA		DDRD
  #define DISP_PRT_DATA		PORTD

  #define PWM_OUT		PB2
  #define PWM_DDR_OUT		DDRB
  #define PWM_PRT_OUT		PORTB

  #define TAST_DG1		PD3
  #define TAST_DDR_DG1		DDRD
  #define TAST_PRT_DG1		PORTD
  #define TAST_PIN_DG1          PIND3
  #define TAST_PRG_DG1          PIND

  #define TAST_DG2		PD4
  #define TAST_DDR_DG2		DDRD
  #define TAST_PRT_DG2		PORTD
  #define TAST_PIN_DG2          PIND4
  #define TAST_PRG_DG2          PIND

  #define TAST_KEY		PD5
  #define TAST_DDR_KEY		DDRD
  #define TAST_PRT_KEY		PORTD
  #define TAST_PIN_KEY          PIND5
  #define TAST_PRG_KEY          PIND
    
#endif
